package com.hchyun.test.service;

import java.util.List;

import com.hchyun.common.utils.ServerResult;
import com.hchyun.test.entity.AssFather;

/**
 * 关联查询父Service接口
 *
 * @author hchyun
 * @date 2021-02-10
 */
public interface AssFatherService {
    /**
     * 查询关联查询父
     *
     * @param id 关联查询父ID
     * @return 关联查询父
     */
    ServerResult<AssFather> selectAssFatherById(Long id);

    /**
     * 查询关联查询父列表
     *
     * @param assFather 关联查询父
     * @return 关联查询父集合
     */
    ServerResult<List<AssFather>> selectAssFatherList(AssFather assFather);

    /**
     * 新增关联查询父
     *
     * @param assFather 关联查询父
     * @return 结果
     */
    ServerResult<Integer> insertAssFather(AssFather assFather);

    /**
     * 修改关联查询父
     *
     * @param assFather 关联查询父
     * @return 结果
     */
    ServerResult<Integer> updateAssFather(AssFather assFather);

    /**
     * 批量删除关联查询父
     *
     * @param ids 需要删除的关联查询父ID
     * @return 结果
     */
    ServerResult<Integer> deleteAssFatherByIds(Long[] ids);

    /**
     * 删除关联查询父信息
     *
     * @param id 关联查询父ID
     * @return 结果
     */
    ServerResult<Integer> deleteAssFatherById(Long id);
}
